DirStateFactory.Result (Java SE 26 & JDK 26)
Description: declaration: module: java.naming, package: javax.naming.spi, interface: DirStateFactory, class: Result
Keywords: javax.naming.spi.DirStateFactory.Result class

# Class DirStateFactory.Result

java.lang.Object
javax.naming.spi.DirStateFactory.Result

Enclosing interface:
  `DirStateFactory`

public static class DirStateFactory.Result extends Object
An object/attributes pair for returning the result of DirStateFactory.getStateToBind().

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Result(Object obj, Attributes outAttrs)`
  Constructs an instance of Result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attributes`
  `getAttributes()`
  Retrieves the attributes to be bound.
  `Object`
  `getObject()`
  Retrieves the object to be bound.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Result

    public Result(Object obj, Attributes outAttrs)
    Constructs an instance of Result.
    Parameters:
      `obj` - The possibly null object to be bound.
      `outAttrs` - The possibly null attributes to be bound.

- ## Method Details

  - ### getObject

    public Object getObject()
    Retrieves the object to be bound.
    Returns:
      The possibly null object to be bound.

  - ### getAttributes

    public Attributes getAttributes()
    Retrieves the attributes to be bound.
    Returns:
      The possibly null attributes to be bound.